Page MenuHomeFreeBSD

dns/powerdns-recursor: Update to 4.1.0
AbandonedPublic

Authored by linimon on Dec 11 2017, 12:24 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

krion created this revision.Dec 11 2017, 12:24 PM
mat accepted this revision.Dec 11 2017, 2:08 PM
This revision is now accepted and ready to land.Dec 11 2017, 2:08 PM
This revision was automatically updated to reflect the committed changes.

This Port is broken on FreeBSD 10.3

[12:35] <krion> fr0t: here is your issue https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215709, maybe you could upgrade to 11.1-RELEASE?
[12:49] <HellSpawn> krion, 10.4-RELEASE has the fix as well. It's a bug in the libc(++) that comes with 10.3 (and probably earlier versions)

/bin/sh ./libtool  --tag=CXX   --mode=link c++ -DSYSCONFDIR=\"/usr/local/etc/pdns\" -DPKGLIBDIR=\"/usr/local/lib/pdns-recursor\" -DLOCALSTATEDIR=\"/var/run\" -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 --param ssp-buffer-size=4 -fstack-protector -O2 -pipe -fno-omit-frame-pointer -fstack-protector -isystem /usr/local/include -fno-strict-aliasing  -D_GLIBCXX_USE_C99 -isystem /usr/local/include -std=gnu++11  -pthread -L/usr/local/lib    -Wl,-z -Wl,relro -Wl,-z -Wl,now  -Wl,-rpath,/usr/local/lib -fstack-protector -L/usr/local/lib  -o pdns_recursor arguments.o base32.o base64.o dns.o dns_random.o dnslabeltext.o dnsname.o dnsparser.o dnsrecords.o dnssecinfra.o dnswriter.o ednsoptions.o ednssubnet.o filterpo.o gettime.o gss_context.o iputils.o ixfr.o json.o logger.o lua-recursor4.o lwres.o misc.o mtasker_context.o negcache.o nsecrecords.o opensslsigners.o pdns_recursor.o protobuf.o pubsuffix.o qtype.o randomhelper.o rcpgenerator.o rec-carbon.o rec-lua-conf.o rec-protobuf.o rec-snmp.o rec_channel.o rec_channel_rec.o recpacketcache.o recursor_cache.o reczones.o remote_logger.o resolver.o responsestats.o rpzloader.o secpoll-recursor.o selectmplexer.o sillyrecords.o snmp-agent.o sortlist.o syncres.o tsigverifier.o unix_utility.o validate.o validate-recursor.o version.o webserver.o ws-api.o ws-recursor.o zoneparser-tng.o     kqueuemplexer.o   dnsmessage.pb.o ./ext/yahttp/yahttp/libyahttp.la ./ext/json11/libjson11.la -lcrypto  -lboost_context       -L/usr/local/lib -llua-5.2 -lm  -L/usr/local/lib -lprotobuf -D_THREAD_SAFE -pthread -lpthread  -lboost_thread -lboost_system -pthread 
libtool: link: c++ -DSYSCONFDIR=\"/usr/local/etc/pdns\" -DPKGLIBDIR=\"/usr/local/lib/pdns-recursor\" -DLOCALSTATEDIR=\"/var/run\" -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 --param ssp-buffer-size=4 -fstack-protector -O2 -pipe -fno-omit-frame-pointer -fstack-protector -isystem /usr/local/include -fno-strict-aliasing -D_GLIBCXX_USE_C99 -isystem /usr/local/include -std=gnu++11 -pthread -Wl,-z -Wl,relro -Wl,-z -Wl,now -Wl,-rpath -Wl,/usr/local/lib -fstack-protector -o pdns_recursor arguments.o base32.o base64.o dns.o dns_random.o dnslabeltext.o dnsname.o dnsparser.o dnsrecords.o dnssecinfra.o dnswriter.o ednsoptions.o ednssubnet.o filterpo.o gettime.o gss_context.o iputils.o ixfr.o json.o logger.o lua-recursor4.o lwres.o misc.o mtasker_context.o negcache.o nsecrecords.o opensslsigners.o pdns_recursor.o protobuf.o pubsuffix.o qtype.o randomhelper.o rcpgenerator.o rec-carbon.o rec-lua-conf.o rec-protobuf.o rec-snmp.o rec_channel.o rec_channel_rec.o recpacketcache.o recursor_cache.o reczones.o remote_logger.o resolver.o responsestats.o rpzloader.o secpoll-recursor.o selectmplexer.o sillyrecords.o snmp-agent.o sortlist.o syncres.o tsigverifier.o unix_utility.o validate.o validate-recursor.o version.o webserver.o ws-api.o ws-recursor.o zoneparser-tng.o kqueuemplexer.o dnsmessage.pb.o -D_THREAD_SAFE -pthread -pthread  -L/usr/local/lib ./ext/yahttp/yahttp/.libs/libyahttp.a ./ext/json11/.libs/libjson11.a -lcrypto -lboost_context -llua-5.2 -lm -lprotobuf -lpthread -lboost_thread -lboost_system -pthread
pdns_recursor.o: In function `_ZTH9t_remotes':
pdns_recursor.cc:(.text+0x24072): undefined reference to `__cxa_thread_atexit'
pdns_recursor.cc:(.text+0x24088): undefined reference to `__cxa_thread_atexit'
pdns_recursor.cc:(.text+0x240a9): undefined reference to `__cxa_thread_atexit'
pdns_recursor.cc:(.text+0x240ca): undefined reference to `__cxa_thread_atexit'
pdns_recursor.cc:(.text+0x240eb): undefined reference to `__cxa_thread_atexit'
pdns_recursor.o:pdns_recursor.cc:(.text+0x2410c): more undefined references to `__cxa_thread_atexit' follow
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[3]: *** [Makefile:1199: pdns_recursor] Error 1
gmake[3]: Leaving directory '/wrkdirs/usr/ports/dns/powerdns-recursor/work/pdns-recursor-4.1.0'
gmake[2]: *** [Makefile:1435: all-recursive] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/dns/powerdns-recursor/work/pdns-recursor-4.1.0'
gmake[1]: *** [Makefile:1035: all] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/dns/powerdns-recursor/work/pdns-recursor-4.1.0'
*** Error code 1
linimon retitled this revision from Update to 4.1.0 to dns/powerdns-recursor: Update to 4.1.0.Jul 18 2018, 12:52 PM
linimon commandeered this revision.Jul 19 2018, 3:01 AM
linimon abandoned this revision.
linimon added a reviewer: krion.
linimon added a subscriber: linimon.

Overcome by events.